Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class TypeDef

    java.lang.Object
      org.hibernate.metamodel.binding.TypeDef

All Implemented Interfaces:
  Serializable

    public class TypeDef

extends Object
implements Serializable

Represents the metamodel view of a typedef (type definition).

See Also:
  Serialized Form

Constructor Summary
`TypeDef(String name, String typeClass, Map<String,String> parameters)`

Method Summary
`String` | `getName()`
`Map<String,String>` | `getParameters()`
`String` | `getTypeClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeDef

    public TypeDef(String name,
                   String typeClass,
                   Map<String,String> parameters)

Method Detail

### getName

    public String getName()

### getTypeClass

    public String getTypeClass()

### getParameters

    public Map<String,String> getParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.